# Created by pyp2rpm-3.3.1
%global pypi_name sphinx-autobuild

Name:           python-%{pypi_name}
Version:        0.7.1
Release:        %mkrel 6
Summary:        Watch a Sphinx directory, rebuild documentation when change is detected
Group:          Development/Python
License:        MIT
URL:            https://github.com/GaretJax/sphinx-autobuild
Source0:        https://pypi.io/package/source/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

Patch0:         python-sphinx-autobuild-fix-deps-for-port_for.patch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(argh)
BuildRequires:  python3dist(livereload)
BuildRequires:  python3dist(pathtools)
BuildRequires:  python3dist(port-for)
BuildRequires:  python3dist(pyyaml)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(tornado)
BuildRequires:  python3dist(watchdog)
BuildRequires:  python3dist(sphinx)

%description
sphinx-autobuild Watch a Sphinx directory and rebuild the documentation when a
change is detected. Also includes a livereload enabled web server. .. image::

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:	python2-sphinx-autobuild < 0.7.1-4

Requires:       python3dist(argh)
Requires:       python3dist(livereload)
Requires:       python3dist(pathtools)
Requires:       python3dist(port-for)
Requires:       python3dist(pyyaml)
Requires:       python3dist(tornado)
Requires:       python3dist(watchdog)

%description -n python3-%{pypi_name}
sphinx-autobuild Watch a Sphinx directory and rebuild the documentation when a
change is detected. Also includes a livereload enabled web server. .. image::

%package -n python-%{pypi_name}-doc
Summary:        sphinx-autobuild documentation

%description -n python-%{pypi_name}-doc
Documentation for sphinx-autobuild

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf *.egg-info/

%build
%py3_build
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/sphinx-autobuild
%{python3_sitelib}/sphinx_autobuild
%{python3_sitelib}/sphinx_autobuild-%{version}-py?.?.egg-info

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE



%changelog
* Mon Jan 11 2021 wally <wally> 0.7.1-6.mga8
+ Revision: 1671134
- obsolete old python2 pkg also providing sphinx-autobuild
- properly drop bundled egg-info

* Sun Feb 16 2020 umeabot <umeabot> 0.7.1-5.mga8
+ Revision: 1534203
- Mageia 8 Mass Rebuild

* Fri Sep 27 2019 daviddavid <daviddavid> 0.7.1-4.mga8
+ Revision: 1447457
- rebuild for python3.8
- drop python2 support

* Mon Jan 07 2019 kekepower <kekepower> 0.7.1-3.mga7
+ Revision: 1351268
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.7.1-2.mga7
+ Revision: 1290188
- Mageia 7 Mass Rebuild

* Wed May 02 2018 kekepower <kekepower> 0.7.1-1.mga7
+ Revision: 1224692
- Fix BRs
- imported package python-sphinx-autobuild

